Automatic join geometry in Revit

any packages or script in dynamo that can use to join element like this video on youtube?

https://www.youtube.com/watch?v=jL0P7pfvYnc

 

I found the API call <span style=“color: #000000;”>Document</span><span class=“languageSpecificText” style=“color: #000000;”>.</span><span style=“color: #000000;”>AutoJoinElements Method that maybe did the job</span>

but i don’t know how to programing the api call in Dynamo.

any help?

http://revitapisearch.com/html/a3c929fb-6164-c7bb-d140-4178fb07fd4e.htm

Check out this thread…

http://dynamobim.com/forums/topic/disallow-join-of-the-wall/

In Dynamo, you will need to first get the elements that you want to join and sort/order them in whatever manner you desire to feed into the joining script. Then you will need to write a python script to do the join/disjoin that you want. Plenty of examples all over this forum of how to write a python script, or go look at http://archi-lab.net/

Or you could just learn Russian and copy what was done on the youtube video you referenced…

Hi Ben,

Thread shows how to disallow join. How about joining the geometry is there any thread to check out?

Correct, that thread shows how to disallow Joins, but the procedure is pretty much the same for joining. you feed the elements you want to join/unjoin/switch join order into python, then apply the correct line(s) of code.

Here’s the important pieces of code depending on what you want to do…

Autodesk.Revit.DB.JoinGeometryUtils.JoinGeometry(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.UnjoinGeometry(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.IsCuttingElementInJoin(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.SwitchJoinOrder(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.AreElementJoined(doc, elementA, elementB)

it will look something like this:

JoinGeometry

1 Like

Hello! Dear BEN OSBORNE! Your script work , is wonderful ! Can you change your script to make it work for lists?? 2

Error Same to

Hi Park & Тимур,

To join elements you have to know whether the elements your joining is already joined. To know how follow screenshot below. Good Luck!

Do you guys have any Ideas about Cut Geometry in dynamo. I created a void family from Generic Model template, then loaded in project and use Cut Geometry. However, due to the numerous cuts that I have to do. Do you have any solution of using dynamo for this issue?

THANK YOU

Hi Hoc,

No need to post same question twice. It is been posted here also http://dynamobim.org/forums/topic/join-geometry/

Its better if you can post screenshots of your graph. So that we can clearly understand your issue and provide you solution.

Thanks,

Hello,
I’m trying to make an auto join order between floors and beams, but the scrip does not work for me, any recommendations. Thank you